/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: TCKRxInvokerProvider.java 75052 2017-06-13 16:46:21Z jsupol $  
 */

package com.sun.ts.tests.jaxrs.jaxrs21.api.client.invocationbuilder;

import java.util.concurrent.ExecutorService;

import javax.ws.rs.client.RxInvokerProvider;
import javax.ws.rs.client.SyncInvoker;

public class TCKRxInvokerProvider implements RxInvokerProvider<TCKRxInvoker> {

	@Override
	public boolean isProviderFor(Class<?> clazz) {
		return clazz == TCKRxInvoker.class;
	}

	@Override
	public TCKRxInvoker getRxInvoker(SyncInvoker syncInvoker, ExecutorService executorService) {		
		return new TCKRxInvoker();
	}

}
